Subject: Re: bug#40457: 26.3; A little Help from `list-packages'?

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 24 Jun 2021 17:02:25 +0200

"Y. E." <[email-masked]> writes:

> I think with new keystrokes there's a risk to confuse (especially a new user)
> even more: for example, using I (uppercase-i) and D per one package
> install/delete would make already inconsistent U even more inconsistent.

Yeah, probably.  On the other hand, even having `I' and `D' as separate
commands is unnecessary -- we could have an `X' command that does the
correct thing on the current line.  (Package knows whether that's
installing or deleting a package.)

> Maybe also change `package-menu-quick-help' output:
> it could be improved by mentioning *marking*, not only the action.

Indeed.  I've now pushed a change that spells out what i, d and x really
do, because it was pretty misleading.  I can well see people reading
that, hitting `i' and then going "so it's installed now?"

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no